Resource_EN = {
    'Checklist_Finished': 'Checklist finished.\n\n%s',
    'Checklist_NewTask': 'Task <b>%s</b> was added to Checklist.\n\n%s',
    'Checklist_EditTask': 'Task <b>%s</b> was modified.\n\n%s',
    'Checklist_UndoTask': 'Task <b>%s</b> was undone.\n\n%s',
    'Checklist_DeleteTask': 'Task <b>%s</b> was deleted from Checklist.\n\n%s',
    'Checklist_Cleared': 'Checklist was cleared.\n\n%s',
    'Checklist_Cloned': 'Checklist was cloned in your checklists with name %s. You can see it send /checklists in private chat with @checklistTFG_bot',
    'Checklist_ClonedDuplicate': 'Checklist wasn\'t duplicated because already exists a list named %s in your checklists.',
    'Checklists': '<b>Your Checklists</b>\n\n',
    'Language_Selected': 'Language selected: %s.',
    'SelectLanguage': 'Select language. If you can change it in future, send me /language',
    'NewMember': 'You have been added to data about members of group. Now, when a user assign a task, you will be in provided options.',
    'AddMember': 'Add member',
    'AddingMember1': 'The task will be assigned to the user you send. The bot save the user for next assignments',
    'AddingMember2': 'Enter \'@\' and select the user whom you want to assign the task.',
    'MemberAdded': 'User %s was added to data about members of the group.',
    'Name_Required': 'Enter a name for your checklist',
    'Name_Required1': 'You must enter a name for the checklist that you are looking for',
    'Checklist_Created': 'Checklist named: \'<b>%s</b>\' has been created successfully.',
    'FirstTask': '\nNow send me the first task.',
    'Name_Duplicate': 'Checklist with name: \'<b>%s</b>\' already exists. \nSelect one of these or send /new to try with another name',
    'Edit': 'Edit✏',
    'Share': 'Share',
    'Clone': '📝Clon Checklist📝',
    'AddTask': 'Add new task',
    'AddingTask': 'Adding a new Task. Send me one.',
    'ModifyTask': 'Modify tarea',
    'ModifyingTask': 'Send the modification for old task: \'<b>%s</b>\' or undo it pushing on button.',
    'UndoTask': 'Undo',
    'RemoveTask': 'Remove task',
    'RemovingTask': 'Removing a task.',
    'ClearList': 'Clear Checklist',
    'ClearingList': 'Clearing Checklist',
    'RemoveList': 'Remove Checklist',
    'RemoveList_Confirmation': 'Are you sure about remove the Checklist <b>%s</b>?',
    'How_Edit': 'How do you want to edit the Checklist?',
    'Checklist_NotFound': 'Checklist dont found',
    'Checklist_Removed': 'Checklist <b>%s</b> was removed',
    'Checklist_NotEdited': 'Checklist %s wasnt edited',
    'AssignChecklist': 'What checklist does the task belong to?',
    'Group_Incomplete': '\n\nAll group\'s members aren\'t in the list. If you want assign the task to someone that it isn\'t there, click the button <b>Add member</b>',
    'Checklist_AddTask': 'Send me another task.',
    'Task_Duplicate': 'Task: \'<b>%s</b>\' is already in the list.',
    'Checklist_Done': '\nWhen you have added enough tasks, send /done to publish the checklist.',
    'Task_Assigned': 'Task: \'<b>%s</b>\' assigned to %s.',
    'Task_Unassigned': 'Task: \'<b>%s</b>\' isn\'t already assigned.',
    'Tasks_Done': 'done tasks.\n',
    'LastTask': '<b>%s</b> is the only task. If you remove it, the Checklist <b>%s</b> will be deleted too. Do you want remove it yet?',
    'WhatTask1': 'What task do you want modify?',
    'WhatTask2': 'What task do you want remove?',
    'WhatTask3': 'What task do you want to assign?',
    'WhomAssign': 'Whom do you assign the task: \'<b>%s</b>\' from %s?',
    'Error_CheckAssigned': 'You cant check this Task. It\'s assigned to %s',
    'Error_PrivateChat': 'This option is just available for a Group Chat.',
    'Error_GroupChat': 'This option is just available for a Private Chat with the bot.',
    'Error_TaskChecked': 'This task is already checked. The owner can clear the list or undo the task in \'Edit\'',
    'Error_ListNotFoundView': 'Checklist not found in your checklists.',
    'Error_ListNotFound': 'Checklist not found. Probably the owner remove it.',
    'Error_AnyLists': 'You dont have any checklists. You can create the first send me /new',
    'Error_Unexpected': 'Unexpected error has ocurred.',
    'Error_AssignTaskUsername': 'Cant assign to %s because he has username and a bot cant access to his data. If the user isn\'t in provided options, he must send anything started with \'/\'.',
    'Error_TaskLength': 'The task is too long. Must be at most 50 characters. ',
    'Error_ChecklistLength': 'Checklist\'s name is too long. Must be at most 50 characters. ',
    'Error_NoOwner': 'You can\'t select it, you aren\'t checklist\'s creator',
    'Error_MemberNotAdded': 'User %s couldn\'t be add to data about members of group.',
    'Error_NotUnderstand': 'I can\'t understood you, if you need help send me /help',
    'OnBack': '❮❮ Back',
    'Yes': 'Yes',
    'No': 'No',
    'Nobody': 'Nobody',
    'Help': 'The available commands are:\n\n/new : You can send with the Checklist\'s name (Ex: /new test) or alone . Create a new checklist belongs you.\n/checklists : Show all your checklists. If you can see the detail of one, click on provided links. (Ex: /view_100)\n/assignTask : Only available on groups. Assign one of tasks of your checklists to someone belongs to the group.\n/language : Change the bot\'s language.\n/help : Show the bot\'s help.',
    'Previous': '⬅️',
    'Next': '➡️'
}

Resource_ES = {
    'Checklist_Finished': 'Checklist finalizada.\n\n%s',
    'Checklist_NewTask': 'La tarea <b>%s</b> ha sido añadida a la Checklist.\n\n%s',
    'Checklist_EditTask': 'La tarea <b>%s</b> fue modificada.\n\n%s',
    'Checklist_UndoTask': 'La tarea <b>%s</b> fue deshecha.\n\n%s',
    'Checklist_DeleteTask': 'La tarea <b>%s</b> fue borrada de la Checklist.\n\n%s',
    'Checklist_Cleared': 'Checklist reinicializada.\n\n%s',
    'Checklist_Cloned': 'Se ha clonado la checklist dentro de tus checklists con el nombre %s. Puedes verla desde un chat privado con @checklistTFG_bot enviando /checklists',
    'Checklist_ClonedDuplicate': 'La checklist no fue duplicada porque ya existe otra con nombre %s dentro de tus checklists.',
    'Checklists': '<b>Tus Checklists</b>\n\n',
    'Language_Selected': 'Lenguaje seleccionado: %s.',
    'SelectLanguage': 'Elige un lenguaje. Si quieres cambiarlo en un futuro, envíame /language',
    'NewMember': 'Has sido añadido a los datos de los miembros del grupo. Ahora aparecerás en las sugerencias cuando un usuario asigne una tarea.',
    'AddMember': 'Añadir miembro',
    'AddingMember1': 'La tarea será asignada al usuario enviado. Además, el bot recordará al usuario para posteriores asignaciones.',
    'AddingMember2': 'Introduce \'@\' y selecciona el usuario al cual quieres asignar la tarea.',
    'MemberAdded': 'El usuario %s ha sido añadido a la información sobre miembros del grupo.',
    'Name_Required': 'Introduce un nombre para tu nueva checklist',
    'Name_Required1': 'Debes introducir un nombre para buscar una lista',
    'Checklist_Created': 'Se ha creado una checklist con nombre: \'<b>%s</b>\'.',
    'FirstTask': '\nAhora envíame la primera tarea.',
    'Name_Duplicate': 'Ya existe una checklist con nombre: \'<b>%s</b>\'. \nSelecciona uno de los nombres propuestos o envía /new para intentar crear una nueva con otro nombre',
    'Edit': 'Editar✏',
    'Share': 'Compartir',
    'Clone': '📝Clon Checklist 📝',
    'AddTask': 'Añadir nueva tarea',
    'AddingTask': 'Añadiendo una tarea. Envíame una.',
    'ModifyTask': 'Modificar tarea',
    'ModifyingTask': 'Envíame la modificación para la tarea: \'<b>%s</b>\' o deshazla pulsando en el botón.',
    'UndoTask': 'Deshacer',
    'RemoveTask': 'Eliminar tarea',
    'RemovingTask': 'Eliminando tarea.',
    'ClearList': 'Reinicializar Checklist',
    'ClearingList': 'Reinicializando Checklist',
    'RemoveList': 'Borrar Checklist',
    'RemoveList_Confirmation': '¿Estás seguro de que deseas borrar la lista <b>%s</b>?',
    'How_Edit': '¿De qué manera quieres editar tu lista?',
    'Checklist_NotFound': 'No se ha encontrado la lista.',
    'Checklist_Removed': 'La checklist <b>%s</b> fue eliminada.',
    'Checklist_NotEdited': 'La checklist %s no fue modificada.',
    'AssignChecklist': '¿A qué checklist pertenece la tarea?',
    'Group_Incomplete': '\n\nTodos los miembros del grupo no aparecen en la siguiente lista. Si quieres asignar la tarea a alguien que no está ahí, selecciona el botón <b>Añadir miembro</b>.',
    'Checklist_AddTask': 'Envíame otra tarea.',
    'Task_Duplicate': 'La tarea: \'<b>%s</b>\' ya se encuentra en la lista.',
    'Checklist_Done': '\nCuando hayas añadido suficientes tareas, envíame /done para finalizar la checklist.',
    'Task_Assigned': 'La tarea: \'<b>%s</b>\' fue asignada a %s.',
    'Task_Unassigned': 'La tarea: \'<b>%s</b>\' ya no está asignada a nadie.',
    'Tasks_Done': 'tareas hechas.\n',
    'LastTask': '<b>%s</b> es la única tarea de la lista. Si la borras, la checklist <b>%s</b> será eliminada también. ¿Quieres eliminarla?',
    'WhatTask1': '¿Qué tarea quieres modificar?',
    'WhatTask2': '¿Qué tarea quieres eliminar?',
    'WhatTask3': '¿Qué tarea quieres asignar?',
    'WhomAssign': '¿A quién quieres asignar la tarea \'<b>%s</b>\' perteneciente a la checklist %s?',
    'Error_CheckAssigned': 'Tú no puedes marcar esta tarea. Está asignada a %s',
    'Error_PrivateChat': 'Esta opción solo se puede realizar desde un chat grupal.',
    'Error_GroupChat': 'Esta opción solo se puede realizar desde un chat privado con el bot.',
    'Error_TaskChecked': 'Esta tarea ya ha sido realizada. El propietario puede reinicializar la lista o deshacer la tarea desde \'Editar\'',
    'Error_ListNotFoundView': 'Checklist no encontrada dentro de tus listas.',
    'Error_ListNotFound': 'Checklist no encontrada. Probablemente el creador la haya borrado.',
    'Error_AnyLists': 'No tienes ninguna lista. Puedes crear la primera enviandome /new',
    'Error_Unexpected': 'Se ha producido un error inesperado.',
    'Error_AssignTaskUsername': 'El usuario %s tiene alias y no se puede acceder a sus datos. Para ser añadido a las opciones dadas, debe enviar cualquier mensaje empezado por \'/\' ',
    'Error_TaskLength': 'La tarea es demasiado larga. Debe tener una longitud máxima de 50 caracteres. ',
    'Error_ChecklistLength': 'El nombre de la checklist es demasiado largo. Debe tener una longitud máxima de 50 caracteres. ',
    'Error_NoOwner': 'No puedes seleccionarlo porque no eres el creador de la checklist',
    'Error_MemberNotAdded': 'El usuario %s no se ha podido añadir a la información sobre miembros del grupo.',
    'Error_NotUnderstand': 'No te he entendido, si necesitas ayuda envía el comando /help',
    'OnBack': '❮❮ Volver',
    'Yes': 'Sí',
    'No': 'No',
    'Nobody': 'A nadie',
    'Help': 'Los comandos disponibles son:\n\n/new : Puedes enviarlo solo o acompañado del nombre de la checklist (Ej: /new prueba). Crea una nueva lista de la cual eres el propietario.\n/checklists : Muestra todas tus checklists. Si quieres ver el detalle de alguna, clica sobre el correspondiente link. (Ej: /view_100) \n/assignTask : Solo disponible en grupos. Asigna una de las tareas de tus checklists a alguien del grupo.\n/language : Cambia el lenguaje del bot.\n/help : Muestra la ayuda del bot.',
    'Previous': '⬅️',
    'Next': '➡️'
} 

'''
Devuelve el literal solicitado en el idioma indicado
@param resource: clave del literal 
@param language: string con el idioma deseado
@return result: string con el literal asociado a la clave
'''
def getResource(resource, language):
    if language == 'ES':
        return Resource_ES[resource]
    return Resource_EN[resource]

'''
Devuelve varios literales concatenados en el idioma indicado
@param resources: claves de los literales a concatenar 
@param language: string con el idioma deseado
@return resource: string con los literales concatenados asociados a las claves
'''
def getConcatResources(resources, language):
    resource = ''
    for r in resources:
        resource += getResource(r, language)
        
    return resource

'''
Devuelve el literal solicitado concatenado a los parametro indicados. En el idioma indicado
@param resource: clave del literal
@param parameters: array con variables que se quieren concatenar al literal
@param language: string con el idioma deseado
@return auxResource: string con el literal concatenado a los parametros
'''
def getCompleteResource(resource, parameters, language):
    auxResource = getResource(resource, language)
    r = auxResource.split('%s')
    index = 0
    for p in parameters:
        r[index] += (str(p))
        index += 1
        
    auxResource = ''.join(r)
    auxResource += '%s'
    return auxResource